class PublicationsController < InheritedResources::Base
  load_and_authorize_resource

  respond_to :html, :json
  def index
    if params[:tag]
      @search = Publication.tagged_with(params[:tag]).list_all.search(params[:search])
      @publications = @search.all
    else
      @search = Publication.list_all.search(params[:search])
      @publications = @search.all
    end

    respond_with @publications
  end

  def show
    @publication = Publication.find(params[:id])
    @publication.visit! :by => request.try(:remote_ip)

    respond_with(@publication)
  end
end
